## Artifact of Dissimilarity
An Artifact that imitates Artifact of Dissonance but for Interactables to spice things up.

Like Artifact of Dissonance, it won't spawn every possibile option on every stage and instead give a limited amount of options from a list that contains everything per stage.

A List of how many of what category will be present:
|Category|Count|```List```| 
| ---------- | - | ----------- |
|Chest|6 / 11| ```Chest, Large Chest, Damage Chest, Healing Chest, Utility Chest, Equipment Barrel, Lunar Pod, Multishop, Large Multishop, Equipment Multishop, Adaptive Chest```|
|Shrines|4 / 8|```Shrine of Chance, Shrine of Blood, Shrine of the Mountain (2x),Shrine of Combat, Shrine of the Woods, Shrine of Order, Cleansing Pool```|
|Drones|4 / 8|```Gunner Drone, Healing Drone, Gunner Turret, Missile Drone, Incinerator Drone, Equipment Drone, Emergency Drone, TC-280 Prototype  ```|
|Printers|4 / 8|```Printer, Large Printer, Mili-Tech Printer, Overgrown Printer, Scrapper, Cauldron WhiteToGreen, Cauldron GreenToRed, Cauldron RedToWhite```|
|Rare|2 / 4|```Legendary Chest, Altar of Gold, Lunar Seer, Cloaked Chest```|

The general rarity of each Interactable is still intact, you should not find stages full of Legendary Chests.\
But just like Dissonance, Interactables can spawn before they usually would.

Some Stages will seem quite normal and others without Small Chests or White Printers might feel quite powerful.\
The game overall shouldn't feel too different however.


While the Artifact is on, Lunar Seers will randomly spawn across the stages and show a random stage as opposed to a upcoming one.\
The Bazaar Seers are unchanged by default.\
If you find one leading to Bulwarks Ambry it will be a random Artifact Trial.\
Additionally to avoid confusion of what it's showing, it will say "Dream of SceneName" instead of just Dream when you're about to purchase it.

If the teleporter is a Primordial Teleporter, the Lunar Seer will overwrite the current destination.\
If you shift it, it will only overwrite the Moon destination, the text will be changed to reflect that it will take you to your dream destination.

## Artifact of Kith
An Artifact that imitates Artifact of Kin but for Interactables.

Instead of 1 Interactable for the whole stage, it's 1 per Category so it's still (mostly) playable.

Not every stage will contain a way to get normal items and some other stages can give you a huge spike in power.\
This Artifact doesn't try to be balanced but is meant to still be fun.

Interactables can spawn before the normally would.

I recommend using a mod to make Lunar Coins not a problem because stages with only Lunar Pods could be problematic otherwise.


## Artifact of Wander
An Artifact that enables the gamerule Stage Meander that makes stages progress in a random order.

Bazaar Lunar Seers will be entirely random as opposed to showing the two upcoming stages for this Artifact.\
Every 5th stage will spawn a Primordial Teleporter.

When using Artifact Randomizer or when going to the Bulwark Ambry the next stage will be randomized as opposed to the one you are currently on being random.

## Artifact of Remodeling
An Artifact that will reroll all your passive items upon going to a new stage.

It will maintain tier and stack sizes. 

It will not reroll or roll into; Heresy Items, Beads of Fealty, or unique items like Captains Microbots.\
But by default Scrap will reroll into a normal items. This is so that you can make one high stack of Scrap that then turns into one high stack of another Item. 

When using Artifact of Evolution, the Monsters items will also be rerolled.


## Artifact of Retooling
For when you don't like the randomness of Enigma and would rather have Equipment reroll per stage to pair with Remodeling.

Rerolls Equipment into the same tier/category.\
Applies to Equipment Drones too by default.

## Artifact of Spiriting
A more extreme version of Artifact of Spirit from Risk of Rain 1.

Both the player and enemies gain increased movement speed, attack speed, cooldown reduction and projectile speed as their health gets lower.\
Damage also gets lowered to compensate a little.\
Enemies gain more of some stats because they can't take advantage of some stats as easily.\
These values are fully configuerable.

Precautions were taken against Mithrix and AWU to not make them unkillable or make Mithrix fly forever.

Artifact of Spirit only gave movement speed but in RoR2 enemies can't handle too high speeds but buffing their other stats should consistently make them more threatening.\
This Artifact isn't meant to strictly make the game harder, it should allow you to abuse it's speed sometimes while making some fights a lot more hectic.

## Artifact of Brigade
Artifact of Kin but for Elite Types.\
All elites will be of the same variety per stage.

I recommend using mods that add elite types as the vanilla Elite Types aren't that impactful and the run won't feel much different with this on unless you're doing Honor.

## Artifact of Tranpose
Randomize your Skill and Skin loadout every stage.\
Been done before but wasn't happy with other implementations.

Can't get the same loadout twice in a row.


#
### Codes
![](https://cdn.discordapp.com/attachments/743886063738683413/907351132756672532/WolfoArtifactCodes.png) 


#
All Artifacts can individually be disabled if they are undesired alongside some other config.\
Also config to "disable" some vanilla Artifacts incase you want Retooling as an Enigma replacement or just hate Artifact of Death.

If you find a bug or think there's a way to make it more balanced or fun, report it to @Wolfo#6210 in the Risk of Rain 2 Modding discord.\
Especially for networking related things as they're a pain to figure out solo.\
If you're reporting a bug please include the log file, I can't really do anything without it.

If your config looks weird please delete it, the new one will look normal.

#

### Changelog:
v1.3.1
* Can't get the exact same loadout twice when using Transpose

v1.3.0
* Added Artifact of Brigade
* Added Artifact of Transpose
* LunarSeer fixes again

v1.2.2 - Bug fixes\
v1.2.1
* Compatibility for Large Category Chests Mod and MysticItems Legendary Shrine

v1.2.0
* Added Artifact of Spiriting.
* Void Fields, Artifact World, Moment Fractured added to Lunar Seer destinations.
* Artifact Trials will be a random one if you enter Bulwarks Ambry in a unusual way.
* Fixed Artifact Trials of Dissonance and Kin not actually working
* Made how Seers and Primordial Teleporter interact a bit clearer.
* Wander will spawn a Primordial Teleporter every 5th stage.
* Hopefully fixed bug where disabling Artifacts would break different Artifacts. (sorry)


v1.1.6
* Remodeling will prevent printers now
* Kith can't give only Equip/Lunar on Stage 1 or on 2 consecutive stages

v1.1.5 - Force teleporter on Skymeadow to always be Primordial (Wander)\
v1.1.4 
* Dissi/Kith don't spawn Overgrown Printers/Scrappers/Mountain Shrines/Gold Shrines/Seers in Artifact World anymore

v1.1.3
* ZetArtifact of Tossing now removes Scrappers when used with Dissi/Kith

v1.1.2
* Artifact of Retooling - reroll equipment on stage change (Enigma alternative)

v1.1.1
* Added artifact codes. In case someone wants to reroll only once or wants the Loop back to a random stage.

v1.1.0
* Added new Artifact that rerolls passive Items on stage change

v1.0.5 - Made Kith + Dissimilarity a bit more forgiving\
v1.0.4 - Fixes to Artifact of Wander

v1.0.3
* Option to remove Minimum Stage Completion for interactables when using Kith

v1.0.2 - Minor adjustments

v1.0.1
* Fixed Artifact of Command not removing choice interactables

v1.0.0 - Release.